## nagios-plugins-contrib 1.20120228

=== check_lm_sensors/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_lm_sensors
MANPAGES = check_lm_sensors.7
DOCFILES = src/README

include ../common.mk


check_lm_sensors.7: src/check_lm_sensors.pod
	pod2man -s 7 $< > $@

CLEANFILES += check_lm_sensors.7

=== check_memcached/Makefile ===
#/usr/bin/make -f

CLEANFILES = check_memcached

include ../common.mk

LDFLAGS += -lmemcached

=== check_rbl/Makefile ===
#/usr/bin/make -f

PLUGIN = src/check_rbl
MANPAGES = check_rbl.7
INIFILES = src/check_rbl.ini
DOCFILES = src/README

include ../common.mk


check_rbl.7: src/check_rbl.pod
	pod2man -s 7 $< > $@

CLEANFILES += check_rbl.7

=== debian/changelog ===
nagios-plugins-contrib (1.20120228) unstable; urgency=low

  * [9079e12a] Add check-multipath.pl upstream version.
  * [8e0a5908] Add patch for check_multipath
  * [6da07d78] Ignore .rej and .orig files.
  * [4bda0e7c] Upstream included our patch already.
  * [21e3756b] Add packaging info for check_multipath.
  * [9f664c91] Link debian/README.source to README for github fancyness.
  * [a527810c] Add check_snmp_environment (unfinished).
  * [41052baf] Add some useful error messages for the packaging-helper.py
  * [afa04c7b] Finish check_snmp_environment plugin.
    No .cfg file included yet.
  * [743e5dfd] Add current version info to check_snmp_environment.
  * [76bccfe3] Fix SHA1 watch in packaging-helper.py
  * [8f4c4d13] Add check_printer plugin.
  * [7dc69bf0] Add check_haproxy and check_httpd_status.
    manually merging the work of Jan Wagner <waja@cyconet.org>.
  * [2577af3a] Better sorting of the quilt series file.
  * [0526814c] Add nagios: -epn tags to the non epn checks in
    check_email_delivery.
  * [caadc8e7] Don't add a dependency if it is listed already.
  * [974e8d36] Add check_hpasm.
  * [0d3b76da] make -j should work for debian/rules now
  * [6f4593ac] Fix too long description.
  * [a3cce5ad] check_hpasm needs snmpwalk, recommend it.
  * [4760a28d] shorter check_snmp_environment desc
  * [1af8a931] Fix FSF address.
  * [a2e9282a] Auto update of debian/copyright
  * [3a702550] Auto update of debian/control
  * [d4d74a06] Add --parallel to dh calls.
  * [a41f66fe] Merge remote-tracking branch 'github/master'
    Conflicts:
    	debian/control
  * [65d87a13] Merge pull request #3 from waja/master
    adding check_mysql_health
  * [573abd8c] Ensure Depends is nto used in plugin control files.
  * [42d0dcfe] Auto update of debian/control
  * [58e56a7b] Auto-generate and install README.Debian.plugins
  * [4a73d8a7] Enhance dependency description in debian/README.source
  * [69f4e3e9] Merge pull request #4 from waja/master
    fixing 'check_ipmi_sensor_exclude' command definition
    (Closes: #661528)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Feb 2012 20:17:06 +0100

nagios-plugins-contrib (1.20120220) unstable; urgency=low

  * [462444da] Removing unused code copies of the install module.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 20 Feb 2012 22:49:53 +0100

nagios-plugins-contrib (1.20120219) unstable; urgency=low

  * Initial Release.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 19 Feb 2012 00:42:17 +0100

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, flex, libmemcached-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary

Package: nagios-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: ${shlibs:Depends}, libnagios-plugin-perl (>= 0.31), libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, libnagios-plugin-perl, freeipmi-tools, libreadonly-perl, libnet-dns-perl, libnet-snmp-perl, openssl
Suggests: cciss-vol-status, mpt-status, expect
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_email_delivery (0.7.1a): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_haproxy (rev135): plugin check the HAProxy statistics url
   * check_hpasm: plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev140): plugin checking Apache or Lighthttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (2.3): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_lm_sensors (3.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.2): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_multipath (0.1.5): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health: plugin to check various parameters of a
     MySQL database
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_raid (rev1.106): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     .
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
   * check_rbl (1.3.0): plugin to check if a server is blacklisted
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_ssl_cert (1.11.0): plugin to check the CA and validity of an
     X.509 certificate
 .
 Some scripts and binaries need more packages installed to work, which is
 implemented as recommands.

## nagios-plugins-contrib 1.20120228ubuntu2

=== check_email_delivery/Makefile ===
#/usr/bin/make -f

PLUGIN = $(wildcard src/check_*) $(wildcard src/imap_ssl_*)
MANPAGES = $(shell find src/docs -regex '[^ ]*.pod' -printf '%f\n' | sed 's,pod$$,7,')
DOCFILES = src/docs/*.html src/docs/*.txt src/README.txt

include ../common.mk


%.7: src/docs/%.pod
	pod2man -s 7 $< > $@

CLEANFILES += $(MANPAGES)

=== debian/changelog ===
nagios-plugins-contrib (1.20120228ubuntu2) quantal; urgency=low

  * No change upload to get the latest version of libmemcached. 

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 15 Jun 2012 11:20:37 -0500

nagios-plugins-contrib (1.20120228ubuntu1) quantal; urgency=low

  * debian/patches/check_memcached/ld-as-needed:
    Fix linking of check_memcached with ld --as-needed. 

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 May 2012 20:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: extra
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, flex, libmemcached-dev
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

%:
	dh $@ --with quilt --parallel

# Here follows a small shell snipped to call dh_auto_* for all plugins
# Currently
# - if a Makefile exists in the plugin directory
#   we run dh_auto_$(1) with -O--sourcedirectory="$$plugin"
# - if $${plugin}/src exists, we run dh_auto_$(1) on that directory
# - else: fail :)
DH_AUTO_CALL = 	  if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}" $$options; \
		  elif [ -d $(CURDIR)/$$plugin/src ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}/src" $$options; \
		  else \
			echo failed to build $$plugin; exit 255 ; \
		  fi

PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py


clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
	dh $@ --with quilt --parallel
	rm -f debian/nagios-plugins-contrib.install
	rm -f debian/README.Debian.plugins

clean-%:
	rm -rf debian/$*

dh_auto_install-%:
	# run dh_auto_install to debian/$plugin
	set -e ;\
	    export auto_command="dh_auto_install" ;\
	    export plugin="$*" ;\
	    export options="--destdir=debian/$*" ;\
	    $(DH_AUTO_CALL)
	# add files to debian/nagios-plugins-contrib.install
	set -e; find debian/$* -type f -printf '%h\n' | sort -u  |\
	    while read dir; do \
	        echo "$$dir/* `echo $$dir | sed 's,debian/$*/,,'`" ;\
	    done >> debian/nagios-plugins-contrib.install
	# create shlibdeps for the plugin into a temp file
	set -e; \
	   opts=`find debian/$* -type f -exec file {} \; |\
	   grep -E ' ELF ' |\
	   sed 's,:.*,,;s,^,-e,' |\
	   tr '\n' ' '` ;\
	   if [ -n "$$opts" ]; then \
	   	dpkg-shlibdeps -O $$opts | grep shlibs:Depends > debian/$*/substvars ;\
	   fi
       
dh_auto_%:
	set -e; \
	    export auto_command=`echo $* | sed 's,-.*,,;s,^,dh_auto_,'` ;\
	    export plugin=`echo $* | sed 's,.*-,,'` ;\
	    $(DH_AUTO_CALL)


override_dh_auto_build: $(PLUGINS:%=dh_auto_build-%)

override_dh_auto_clean: $(PLUGINS:%=dh_auto_clean-%)

override_dh_auto_configure: $(PLUGINS:%=dh_auto_configure-%)

override_dh_auto_install: $(PLUGINS:%=dh_auto_install-%)
	$(PACKAGING_HELPER) --generate-readme

#override_dh_auto_test: $(PLUGINS:%=dh_auto_test-%)
override_dh_auto_test: 
	# nothign to do right now.

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch override_dh_auto_build override_dh_auto_clean override_dh_auto_configure override_dh_auto_install override_dh_auto_test

## nagios-plugins-contrib 4.20120702~bpo60%2B1

=== check_memcached/Makefile ===
#/usr/bin/make -f
CLEANFILES = check_memcached check_memcached.c
LDFLAGS += -lmemcached

include ../common.mk

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)
 
 %:
-	dh $@ --with quilt --parallel
+	dh $@ --with quilt,python2 --parallel
 
 # Here follows a small shell snipped to call dh_auto_* for all plugins
 # Currently
@@ -27,7 +27,7 @@
 
 
 clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
-	dh $@ --with quilt --parallel
+	dh $@ --with quilt,python2 --parallel
 	rm -f debian/nagios-plugins-contrib.install
 	rm -f debian/README.Debian.plugins
 
@@ -76,6 +76,9 @@
 override_dh_auto_test: 
 	# nothign to do right now.
 
+override_dh_python2:
+	dh_python2 usr/lib/nagios/plugins usr/lib/nagios/cronjobs
+
 CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
 COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
 debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)

## nagios-plugins-contrib 4.20120702~bpo60+1

=== check_ssl_cert/check_ssl_cert-1.13.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	VERSION=`cat VERSION`
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~

.PHONY: install clean

# File version information:
# $Id: AUTHORS 1103 2009-12-07 07:49:19Z corti $
# $Revision: 1103 $
# $HeadURL: https://svn.id.ethz.ch/nagios_plugins/check_updates/AUTHORS $
# $Date: 2009-12-07 08:49:19 +0100 (Mon, 07 Dec 2009) $

=== debian/changelog ===
nagios-plugins-contrib (4.20120702~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 02 Aug 2012 23:16:50 +0200

nagios-plugins-contrib (4.20120702) unstable; urgency=low

  * [bf291c63] check_backuppc: move backuppc to Suggests.
    Thanks to Werner Detter (Closes: #679871)
  * [0997dfd3] Auto update of debian/control

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Jul 2012 19:28:52 +0200

nagios-plugins-contrib (3.20120614) unstable; urgency=low

  * [30fd20be] check_packages should return CRITICAL for outstanding security updates.
  * [3cd5656f] Fix last patch; refresh others.
  * [2c3c1626] Remove extra debug print statement.
  * [4e43ec28] Fix a funky ? : related bug.
  * [e9172807] Add a check_apt.cmd example config for check_multi.
  * [15d58b48] Remove unneeded || COUNT(CRITICAL) > 0 in check_apt.cmd
  * [ea2f8abc] check_ipmi_sensor: updating to 3.1
  * [d405a206] check_ssl_cert: fix version number (was updated already).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 14 Jun 2012 22:02:34 +0200

nagios-plugins-contrib (2.20120529) unstable; urgency=low

  * [c6b83cea] Fix email_delivery.cfg
  * [f250c516] Merge pull request #5 from waja/master.
    Add perl-doc at Suggests, as needed by check_email_delivery --help
  * [9533beb7] Add check_webinject plugin.
  * [05a3af45] Auto update of debian/copyright
  * [255aa819] Auto update of debian/control
  * [853905cf] Fix CLEANFILES in common.mk
  * [3e75a059] Better webinject command definitions.
  * [6275a3f3] check_raid should use cciss_vol_status if available.
    Only use hpacucli if not.
  * [9859f269] Add some missing version information.
  * [d142da3c] Update check_raid to 1.107
  * [942e9f23] Updating check_email_delivery.
  * [749c40e1] Auto update of debian/control
  * [c593192c] Add Enhances: nagios-plugins,.... to the package.
  * [24486361] Merge pull request #6 from waja/master
    add check_backuppc
  * [8d634bb6] Better/fixed CLEANFILES target handling.
    Please note that CLEANFILES must be defined before including
    ../common.mk
  * [558e31aa] Merge branch 'master' of
    vasks.debian.org:/git/pkg-nagios/pkg-nagios-plugins-contrib.
    Conflicts:
    	check_backuppc/Makefile
  * [dea493d7] Add (unfinished) DSA checks and check_libs from weaselutils.
  * [5d0cf660] Finish integration of the check_libs plugin.
  * [f2a3d5b6] Add (unfinished) control and copyright file for dsa checks.
  * [f7c33de6] Auto update of debian/copyright
  * [fd344412] Auto update of debian/control
  * [8c9693ee] Updating check_hpasm to 4.5.2
  * [3f0a95dc] Updating check_raid to rev1.119
  * [5220084d] Update check_ssl_cert to 1.13.0
  * [c2c83516] More progress on the DSA plugins
  * [a9f80a8d] Implement a way to install cronjob scripts.
    CRONJOBDIR := /usr/lib/nagios/cronjobs
  * [a8dc3842] Finishing dsa check packaging.
  * [de999e73] Add config location patch for check_libs.
  * [336ad307] Auto update of debian/control
  * [33b86286] Typo fix.
  * [d0140fd4] Auto update of debian/control
  * [9059ab99] Don't reset LD/C/CXX/CPPFLAGS when including common.mk
  * [f0e986fa] Add snmp to check_printer's Recommends.
  * [f993848c] Add missing recommends for DSA plugins.
  * [80938fd9] Support checks written in Python.
  * [cbf5f37f] Auto update of debian/control
  * [6f5f3157] Updating changelog.
  * [72492690] Fix location of check_packages in cron script.
  * [68284bb0] Add patch to fix check_packages output.
  * [fd32ac40] check_libs needs libyaml-syck-perl.
  * [63d54efa] Updating changelog.
  * [f29b76d6] Add check_zone_auth plugin.
  * [0f95a649] Add check_whois plugin.
  * [3562b848] Add check_zone_rrsig_expiration plugin.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 May 2012 22:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Uploaders: Jan Wagner <waja@cyconet.org>, Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, flex, libmemcached-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
@@ -12,14 +11,17 @@
 Package: nagios-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: ${shlibs:Depends}, libnagios-plugin-perl (>= 0.31), libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, libnagios-plugin-perl, freeipmi-tools, libreadonly-perl, libnet-dns-perl, libnet-snmp-perl, openssl
-Suggests: cciss-vol-status, mpt-status, expect
+Recommends: ${shlibs:Depends}, ${python:Depends}, libnagios-plugin-perl, libnagios-plugin-perl (>= 0.31), libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libreadonly-perl, libnet-dns-perl, libnet-snmp-perl, openssl, libdate-manip-perl, ruby | ruby-interpreter
+Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, expect
+Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
  systems like Nagios and Icinga.
  It contains the following plugins:
  .
-   * check_email_delivery (0.7.1a): plugin to monitor email delivery
+   * check_backuppc (1.1.0): plugin for checking on the status of
+     BackupPC backups
+   * check_email_delivery (0.7.1b): plugin to monitor email delivery
      Some typical uses of this plugin include:
        - check SMTP server
        - check messages and quota on IMAP server
@@ -29,7 +31,7 @@
        - monitor automated mailboxes
        - check email-to-FTP or other special email gateways
    * check_haproxy (rev135): plugin check the HAProxy statistics url
-   * check_hpasm: plugin to check the hardware health of
+   * check_hpasm (4.5.2): plugin to check the hardware health of
      HP Proliant Servers
      It either uses snmp or - if installed - the hpasm package locally.
      The plugin checks the health of
@@ -43,9 +45,11 @@
      outside its normal parameters.
    * check_httpd_status (rev140): plugin checking Apache or Lighthttpd
      server-status page (using mod_status)
-   * check_ipmi_sensor (2.3): IPMI Sensor Monitoring Plugin
+   * check_ipmi_sensor (3.1): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
      voltages, power usage, ...) of a server using IPMI.
+   * check_libs (520): plugin to report the usage of no longer existing
+     libraries by running processes
    * check_lm_sensors (3.1.1): plugin to monitor hardware sensors
      and disk temperatures
    * check_memcached (1.2): plugin to check memcached instances
@@ -57,12 +61,12 @@
      using a memcached object to store the earlier statistics.
    * check_multipath (0.1.5): plugin to monitor the number of available and
      failed paths of multipath devices
-   * check_mysql_health: plugin to check various parameters of a
+   * check_mysql_health (2.1.7): plugin to check various parameters of a
      MySQL database
    * check_printer: plugin to check printer supply levels using SNMP
      It outputs performance data for all supplies
      found, for example toner and drum.
-   * check_raid (rev1.106): plugin to check sw/hw RAID status
+   * check_raid (rev1.119): plugin to check sw/hw RAID status
      The plugin looks for any known types of RAID configurations,
      and checks them all.
      .
@@ -93,8 +97,36 @@
      Foundry Network, Linux (using lm-sensors), Extreme Networks,
      Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
      and Transmode Systems hardware.
-   * check_ssl_cert (1.11.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.13.0): plugin to check the CA and validity of an
      X.509 certificate
+   * check_webinject (1.69): plugin for testing web services
+     It uses the WebInject Perl module for automated testing of
+     web applications and web services. It can be used to check
+     individual system components that have HTTP interfaces
+     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
+     XML/SOAP Web Services, REST, etc).
+   * check_whois (1.12): plugin to check for the expiration of a domain.
+     The plugin may not yet work with all registrars, since their
+     output formats differ or there is no expiration date in the
+     whois output.
+   * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
+     for a given zone remain in sync.
+   * check_zone_rrsig_expiration (1.10): plugin to check for expiration of
+     signatures in dnssec-enabled zones.
+   * dsa: plugins from the Debian System Administrators
+     nagios plugins repository.
+     * check_cert_expire: check for certificate expiration
+       using openssl on the certificate file
+     * check_dnssec_delegation: check for correct DNSSEC
+       delegation
+     * check_entropy: check if there is enough entropy available.
+     * check_packages: replacement for check_apt; needs a cronjob
+       to update the apt database regularily
+     * check_running_kernel: check if a system was rebooted after
+       a kernel upgrade
+     * check_soas: check SOA records
+     * check_statusfile: deliver the content of a status file
+       as check result
  .
  Some scripts and binaries need more packages installed to work, which is
- implemented as recommands.
+ implemented as recommends.

## nagios-plugins-contrib 4.20120702ubuntu1

=== debian/changelog ===
nagios-plugins-contrib (4.20120702ubuntu1) raring; urgency=low

  * debian/patches/check_memcached/ld-as-needed: Use LDLIBS instead of
    LDFLAGS to get the link order happy for building with --as-needed.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Feb 2013 20:02:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: extra
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Jan Wagner <waja@cyconet.org>, Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, flex, libmemcached-dev
 Standards-Version: 3.9.2

## nagios-plugins-contrib 7.20130614

=== check_ssl_cert/check_ssl_cert-1.14.6/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	VERSION=`cat VERSION`
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~

test:
	( cd test && ./unit_tests.sh )

.PHONY: install clean test

# File version information:
# $Id: AUTHORS 1103 2009-12-07 07:49:19Z corti $
# $Revision: 1103 $
# $HeadURL: https://svn.id.ethz.ch/nagios_plugins/check_updates/AUTHORS $
# $Date: 2009-12-07 08:49:19 +0100 (Mon, 07 Dec 2009) $

=== debian/changelog ===
nagios-plugins-contrib (7.20130614) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [036816ff] Merge pull request #15 from evgeni/master
    check_packages should find security updates on the official security mirror too
  * [658a2e93] Add check_checksums nagios plugin.
  * [9d5d2056] Updating check_raid.
  * [e3ec1293] Updating check_ssl_cert to 1.14.6
  * [779543ef] Updating check_hpasm to 4.6.3.2
  * [0c838ee9] Updating check_multipath to 0.1.9
  * [bec11251] Updating check_whois to 1.13
  * [8e0a65d0] Refreshing patches.
  * [c0b88cdb] Auto update of debian/copyright
  * [59648a17] Fix src link for check_hpasm
  * [8c242d0f] Support pre-Wheezy versions of coretutils in check_checksums.
  * [7d3d2a06] Update release date in changelog (gah!).
  * [768e463b] Merge pull request #16 from evgeni/master
    check_libs: ignore /var/lib/postgresql/ and /var/log/
  * [2b9aace5] Bumping standards-Verison, no changes needed.

  [ Jan Wagner ]
  * [3bb873e4] disable epn for check_rbl

  [ Evgeni Golov ]
  * [2a7ab4b8] check_libs: ignore /var/spool/

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 14 Jun 2013 20:53:49 +0200

nagios-plugins-contrib (6.20130521) unstable; urgency=low

  * [e68c82e1] check_raid: do not run hpacucli if cciss_vol_status is available.
  * [4a1c57e8] Also support tw-cli as additional name for the 3ware binary.
    Thanks to Dennis Hoppe
  * [eb5e1c7c] Add /run/ to the check_libs ignore file.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 21 May 2013 22:11:50 +0200

nagios-plugins-contrib (5.20130307) experimental; urgency=low

  * [aa113517] Fix typos s/Recommands/Recommends/
  * [8e2b3019] Ensure typoed fieldnames in control files are not ignored.
  * [ecead75d] Add extras folder.
  * [0423b2a4] Add check_memory.
  * [90ba4bec] Better command example for send_nsca_host_or_service_check_result
  * [a564c43d] Add check_nfsmounts.
  * [dc3d5425] Add Recommends for check_nfsmounts.
  * [bf12e2e0] Add check_apt for check_multi.
  * [52d46e1a] Add perl dependencies automatically.
  * [e77b2058] Fix building check_memcached in Ubuntu.
  * [98c1f4c1] extras needs to Suggests only.
  * [f84d3678] Add check_clamav.
  * [05cca8f6] Merge branch 'master' of vasks.debian.org:/git/pkg-nagios/pkg-nagios-plugins-contrib
  * [80415a76] Add some missing directories to the check-libs config.
  * [08a91068] Add check_varnish
  * [15385538] Fix watch line of check_clamav.
  * [74bf1d94] Update check_raid to version 3.0
  * [26209f4e] Update check_hpasm to 4.6.3
  * [6cd0fa8f] Updating check_multipath to 0.1.8
  * [34fa0ffc] Updating check_mysql_health to 2.1.8.2
  * [9e3f357d] Updating check_ssl_cert to 1.14.4
  * [6e6813a9] Refreshing patches.
  * [b6f439c4] Remove unused check_varnish Makefile.
  * [6151979b] Rename buggy auto-generated libexec directory.
  * [4c08976d] Add pkg-config as check_varnish build dependency.
  * [05f09fee] Auto update of debian/copyright
  * [9d462776] Auto update of debian/control
  * [09060a70] Add --enable-stack-protector to default options.
  * [37896ae4] Add a cciss related bugfix to check_raid.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Mar 2013 00:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Jan Wagner <waja@cyconet.org>, Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, flex, libmemcached-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), python, python-debian, quilt (>= 0.46-7), autotools-dev, flex, libmemcached-dev, libvarnishapi-dev, pkg-config
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-nagios-plugins-contrib
 Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-nagios-plugins-contrib;a=summary
 
 Package: nagios-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: ${shlibs:Depends}, ${python:Depends}, libnagios-plugin-perl, libnagios-plugin-perl (>= 0.31), libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libreadonly-perl, libnet-dns-perl, libnet-snmp-perl, openssl, libdate-manip-perl, ruby | ruby-interpreter
-Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, expect
+Recommends: ${shlibs:Depends}, ${python:Depends}, libnagios-plugin-perl, nagios-plugins-basic, libnet-dns-perl, libnagios-plugin-perl (>= 0.31), libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-ssleay-perl, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libdbd-mysql-perl, libreadonly-perl, libnet-snmp-perl, openssl, libwebinject-perl, libdate-manip-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, ${perl:Depends}
+Suggests: backuppc, perl-doc, cciss-vol-status, mpt-status, expect, nagios-plugin-check-multi, moreutils
 Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
 Description: Plugins for nagios compatible monitoring systems
  This package provides various plugins for Nagios compatible monitoring
@@ -22,6 +21,14 @@
  .
    * check_backuppc (1.1.0): plugin for checking on the status of
      BackupPC backups
+   * check_checksums (20130611): plugin to verify file checksums
+     against (local, not 100% secure) lists.
+     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
+   * check_clamav (1.2): plugin to check for clamav signature freshness
+     This script is used to compare the version and signature
+     level of the currently running clamd daemon with the latest
+     available versions listed in the TXT record for
+     current.cvd.clamav.net.
    * check_email_delivery (0.7.1b): plugin to monitor email delivery
      Some typical uses of this plugin include:
        - check SMTP server
@@ -32,7 +39,7 @@
        - monitor automated mailboxes
        - check email-to-FTP or other special email gateways
    * check_haproxy (rev135): plugin check the HAProxy statistics url
-   * check_hpasm (4.5.2): plugin to check the hardware health of
+   * check_hpasm (4.6.3.2): plugin to check the hardware health of
      HP Proliant Servers
      It either uses snmp or - if installed - the hpasm package locally.
      The plugin checks the health of
@@ -60,14 +67,19 @@
      limit.
      Hit/miss and evictions are measured over a 30 minute interval,
      using a memcached object to store the earlier statistics.
-   * check_multipath (0.1.5): plugin to monitor the number of available and
+   * check_memory (1.0): plugin to check for free memory
+     This plugin excludes the system cache and buffer, because
+     on some system with very stable memory usage it is perfectly
+     normal for system cache to fill in all available memory.
+   * check_multipath (0.1.9): plugin to monitor the number of available and
      failed paths of multipath devices
-   * check_mysql_health (2.1.7): plugin to check various parameters of a
+   * check_mysql_health (2.1.8.2): plugin to check various parameters of a
      MySQL database
+   * check_nfsmounts: checks whether there are stale NFS mounts on the host
    * check_printer: plugin to check printer supply levels using SNMP
      It outputs performance data for all supplies
      found, for example toner and drum.
-   * check_raid (rev1.119): plugin to check sw/hw RAID status
+   * check_raid (3.0): plugin to check sw/hw RAID status
      The plugin looks for any known types of RAID configurations,
      and checks them all.
      .
@@ -90,6 +102,7 @@
      - LSI MegaRaid via lsraid
      - Serveraid IPS via ipssend
      - Solaris software RAID via metastat
+     - Areca SATA RAID Support via cli64/cli32
    * check_rbl (1.3.0): plugin to check if a server is blacklisted
    * check_snmp_environment (0.7): plugin to check various hardware statuses
      Using snmp the plugin is able to retrieve Fan, power-supply,
@@ -98,15 +111,16 @@
      Foundry Network, Linux (using lm-sensors), Extreme Networks,
      Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
      and Transmode Systems hardware.
-   * check_ssl_cert (1.13.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.14.6): plugin to check the CA and validity of an
      X.509 certificate
+   * check_varnish (1.1): plugin to monitor varnish instances
    * check_webinject (1.69): plugin for testing web services
      It uses the WebInject Perl module for automated testing of
      web applications and web services. It can be used to check
      individual system components that have HTTP interfaces
      (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
      XML/SOAP Web Services, REST, etc).
-   * check_whois (1.12): plugin to check for the expiration of a domain.
+   * check_whois (1.13): plugin to check for the expiration of a domain.
      The plugin may not yet work with all registrars, since their
      output formats differ or there is no expiration date in the
      whois output.
@@ -128,6 +142,9 @@
      * check_soas: check SOA records
      * check_statusfile: deliver the content of a status file
        as check result
+   * extras (1): various scripts and extras
+     Not a plugin, but a collection of various useful
+     event/obsession handlers and similar scripts.
  .
  Some scripts and binaries need more packages installed to work, which is
  implemented as recommends.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 DH_AUTO_CALL = 	  if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
 			$$auto_command -O--sourcedirectory="$${plugin}" $$options; \
 		  elif [ -d $(CURDIR)/$$plugin/src ]; then \
+		  	if [ "$$auto_command" == "dh_auto_configure" ]; then \
+			    export options="$$options -- --enable-stack-protector" ;\
+			fi ;\
 			$$auto_command -O--sourcedirectory="$${plugin}/src" $$options; \
 		  else \
 			echo failed to build $$plugin; exit 255 ; \
@@ -41,6 +44,10 @@
 	    export plugin="$*" ;\
 	    export options="--destdir=debian/$*" ;\
 	    $(DH_AUTO_CALL)
+	if [ -d debian/$*/usr/lib/nagios-plugins-contrib ]; then \
+	    mkdir -p debian/$*/usr/lib/nagios ;\
+	    mv debian/$*/usr/lib/nagios-plugins-contrib debian/$*/usr/lib/nagios/plugins ;\
+	fi
 	# add files to debian/nagios-plugins-contrib.install
 	set -e; find debian/$* -type f -printf '%h\n' | sort -u  |\
 	    while read dir; do \

## nagios-plugins-contrib 9.20140106~bpo60+1

=== debian/changelog ===
nagios-plugins-contrib (9.20140106~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 24 Jan 2014 12:53:11 +0100

nagios-plugins-contrib (9.20140106) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [63ddfa7a] Make checksum file readable for nagios.
  * [583b6cde] Avoid line overflows due to expansion of $0.
  * [9895bf1b] Merge pull request #18 from waja/solid.net
    solid.net seems expired (maybe come back in the future)
  * [31a0dc1f] Fix POD encoding in check_rbl.
    Thanks to David Suárez (Closes: #724175)
  * [a58ff4e7] Run dh_python2 for plugins and normal modules.
  * [cd30e982] Add check_graphite.
  * [e234911d] Auto update of debian/copyright
  * [cb276d08] Auto update of debian/control
  * [9dc17c93] Merge remote-tracking branch 'github/master'
  * [4e577da9] Revert accidentally merged, duplicated bugfix.
    This reverts commit 98008e4aea3687cff8c7ab3f871809e219591cde.
  * [e8387d2a] Merge pull request #23 from waja/update_check_rbl_1.3.1.
    Update check rbl 1.3.1
  * [826a436e] Merge pull request #24 from waja/update_check_webinject_1.80.
    Update check_webinject to 1.80
  * [5c2907b0] Merge pull request #25 from waja/update_check_whois_1.14.
    Update check_whois to 1.14
  * [e8c11f0a] Merge pull request #26 from waja/fix_check_rbl_patch.
    Remove accidently double added check_rbl/disable_solid.net in patch seri...
  * [bfb67e88] Use dh --with autotools_dev. (Closes: #727468)
  * [363af25f] Auto update of debian/control
  * [952811b3] Run dh --with autotools_dev in the clean target, too.
  * [8898d503] Merge pull request #27 from waja/check_cups.
    Check cups
  * [8abc4359] Merge pull request #28 from waja/check_mongodb.
    Add check_mongodb plugin
  * [423e59f0] Merge pull request #30 from waja/fix_check_rbl.
    Fix version of check_rbl in control file
  * [00be70e5] Merge pull request #33 from waja/check_bgpstate.
    Add check_bgpstate plugin
  * [9591a3ca] Merge pull request #29 from waja/check_drbd.
    Add check_drdb plugin
  * [5f531a44] Merge pull request #32 from waja/fix_check_webinject_epn.
    Disable epn for check_webinject, cause it leaves temp files around
  * [ef8ba64d] Remove 'read LICENSE ...' from check_graphite/copyright

  [ Jan Wagner ]
  * [5c207ef5] Add check_snmp_time plugin

  [ Bernd Zeimetz ]
  * [a6165e60] Merge remote-tracking branch 'origin/master'
  * [de5770f4] Merge remote-tracking branch 'github/master'
  * [41c9df6a] Merge pull request #38 from evgeni/ignore-ganeti
    check_libs: ignore /var/lib/ganeti/
  * [4badebed] Merge pull request #37 from evgeni/check-raid-305.
    Update check_raid to 3.0.5

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 06 Jan 2014 12:56:27 +0100

nagios-plugins-contrib (8.20130824~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.
  * Update gbp.conf for the squeeze-backports branch. 

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Aug 2013 18:33:44 +0200

nagios-plugins-contrib (8.20130824) unstable; urgency=low

  [ Jan Wagner ]
  * [3bce1c4b] Merge remote-tracking branch 'debian/master'
  * [bcf6f1d9] Merge remote-tracking branch 'bzed/master'
  * [d436ca0e] Fixing check_raid for 3ware controllers when reporting "NOT-PRESENT" (Closes: #692598)
  * [8f55cc69] add patch check_raid/3ware_fix_notpresent
  * [506000a8] Merge remote-tracking branch 'bzed/master'
  * [62bbdd2f] disable epn
  * [6c73c15b] Auto update of debian/control
  * [5e43a9ae] update check_ssl_cert
  * [ad1c463d] update check_ssl_cert
  * [4975ff97] Revert "Fixing check_raid for 3ware controllers when reporting "NOT-PRESENT""
    This reverts commit d436ca0e6a4e3147265627afd256856c9fab3836.
  * [f6c71f97] drop removed patch
  * [4e52a4ad] Merge remote-tracking branch 'bzed/master'
  * [c01cd192] fix typo in patches/check_rbl/epn

  [ Bernd Zeimetz ]
  * [a61aefc4] Add syslog output to check_checksums
  * [62d55e7e] New plugin: check_ajp
  * [5a00818c] Auto update of debian/control
  * [eb29e6c6] Auto update of debian/copyright
  * [cf6c7f44] Delete unused patch file check_raid/cciss_bugfix
  * [a3e036b7] Fix an error message in check_raid if not using cciss_vol_status.
    Use of uninitialized value in -x at /usr/lib/nagios/plugins/check_raid
    line 2495.
    Thanks to Stefan Kaltenbrunner
  * [6dddc838] Updating changelog.
  * [192396b7] Fix check_ajp to return CRITICAL on connection errors.
  * [d8d41faf] Add config file for check_ajp.
  * [4e092c04] Read 5 bytes only - thats all an AJP pong needs.
  * [26cb156f] Be nice and close the AJP connection socket.
  * [ccc8f7d6] check_ajp: print an error message if --app is not specified.
  * [915d3708] Add -epn to check_packages.
    Thanks to Salvatore Bonaccorso (Closes: #691012)
  * [240ca0fc] Updating date/version in changelog.
  * [8534630e] Update DSA nagios checks/scripts
  * [5078ff97] Refresh patches for new dsa plugin versions

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Aug 2013 00:06:27 +0200

## nagios-plugins-contrib 9.20140106~bpo70+1

=== debian/changelog ===
nagios-plugins-contrib (9.20140106~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 24 Jan 2014 12:15:42 +0100

nagios-plugins-contrib (8.20130824~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Include debian/gbp.conf for building against wheezy-backports branch.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 21 Jun 2013 12:58:43 +0200

## nagios-plugins-contrib 9.20140106~ubuntu12.04.2

=== debian/changelog ===
nagios-plugins-contrib (9.20140106~ubuntu12.04.2) precise-backports; urgency=medium

  * Remove check_bgpstate as that plugin is also in nagios-plugins-standard.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 13 Apr 2014 11:53:28 +0200

nagios-plugins-contrib (9.20140106~ubuntu12.04.1) precise-backports; urgency=medium

  * No-change backport to precise (LP: #1303326)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 06 Apr 2014 14:09:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)
+PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -name check_bgpstate -prune -o -type d -printf '%f\n' | sort)
+PKGNAME = nagios-plugins-contrib
 
 %:
-	dh $@ --with quilt,python2 --parallel
+	dh $@ --with quilt,python2,autotools_dev --parallel
 
 # Here follows a small shell snipped to call dh_auto_* for all plugins
 # Currently
@@ -15,23 +16,23 @@
 #   we run dh_auto_$(1) with -O--sourcedirectory="$$plugin"
 # - if $${plugin}/src exists, we run dh_auto_$(1) on that directory
 # - else: fail :)
-DH_AUTO_CALL = 	  if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
+DH_AUTO_CALL = 	if [ "$$auto_command" == "dh_auto_configure" ]; then \
+		    export options="$$options -- --enable-stack-protector" ;\
+		fi ;\
+		if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
 			$$auto_command -O--sourcedirectory="$${plugin}" $$options; \
-		  elif [ -d $(CURDIR)/$$plugin/src ]; then \
-		  	if [ "$$auto_command" == "dh_auto_configure" ]; then \
-			    export options="$$options -- --enable-stack-protector" ;\
-			fi ;\
+		elif [ -d $(CURDIR)/$$plugin/src ]; then \
 			$$auto_command -O--sourcedirectory="$${plugin}/src" $$options; \
-		  else \
+		else \
 			echo failed to build $$plugin; exit 255 ; \
-		  fi
+		fi
 
 PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py
 
 
 clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
-	dh $@ --with quilt,python2 --parallel
-	rm -f debian/nagios-plugins-contrib.install
+	dh $@ --with quilt,python2,autotools_dev --parallel
+	rm -f debian/$(PKGNAME).install
 	rm -f debian/README.Debian.plugins
 
 clean-%:
@@ -44,15 +45,15 @@
 	    export plugin="$*" ;\
 	    export options="--destdir=debian/$*" ;\
 	    $(DH_AUTO_CALL)
-	if [ -d debian/$*/usr/lib/nagios-plugins-contrib ]; then \
+	if [ -d debian/$*/usr/lib/$(PKGNAME) ]; then \
 	    mkdir -p debian/$*/usr/lib/nagios ;\
-	    mv debian/$*/usr/lib/nagios-plugins-contrib debian/$*/usr/lib/nagios/plugins ;\
+	    mv debian/$*/usr/lib/$(PKGNAME) debian/$*/usr/lib/nagios/plugins ;\
 	fi
-	# add files to debian/nagios-plugins-contrib.install
+	# add files to debian/$(PKGNAME).install
 	set -e; find debian/$* -type f -printf '%h\n' | sort -u  |\
 	    while read dir; do \
 	        echo "$$dir/* `echo $$dir | sed 's,debian/$*/,,'`" ;\
-	    done >> debian/nagios-plugins-contrib.install
+	    done >> debian/$(PKGNAME).install
 	# create shlibdeps for the plugin into a temp file
 	set -e; \
 	   opts=`find debian/$* -type f -exec file {} \; |\
@@ -84,6 +85,7 @@
 	# nothign to do right now.
 
 override_dh_python2:
+	dh_python2
 	dh_python2 usr/lib/nagios/plugins usr/lib/nagios/cronjobs
 
 CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)

## nagios-plugins-contrib 9.20140106~ubuntu13.10.1

=== debian/changelog ===
nagios-plugins-contrib (9.20140106~ubuntu13.10.1) saucy-backports; urgency=medium

  * No-change backport to saucy (LP: #1303326)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 06 Apr 2014 14:09:17 +0200
